package com.fjs.scenic.service.user.impl;

import com.fjs.scenic.entity.user.StatisticalPermissions;
import com.fjs.scenic.mapper.user.StatisticalPermissionsMapper;
import com.fjs.scenic.service.common.impl.BaseServiceImpl;
import com.fjs.scenic.service.user.StatisticalPermissionsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * This class is used for ...
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
@Service
public class StatisticalPermissionsServiceImpl extends BaseServiceImpl<StatisticalPermissions> implements StatisticalPermissionsService {
    @Autowired
    private StatisticalPermissionsMapper statisticalPermissionsmapper;

    @Override
    public List<HashMap<String,Object>> selectByUserID(Integer id) {
        return statisticalPermissionsmapper.selectByUserID(id);
    }

    @Override
    public List<Integer> getByUserID(Integer id) {
        return statisticalPermissionsmapper.getByUserID(id);
    }

    @Override
    public List<Map<String, Object>> getByOpenID(String openID) {
        return statisticalPermissionsmapper.getByOpenID(openID);
    }

    @Override
    public List<StatisticalPermissions> getAll() {
        return statisticalPermissionsmapper.selectAll(null);
    }
}
